org.infinispan.schematic.internal.schema

## Class JsonSchemaValidatorFactory.ExclusiveMaximumValidator

- java.lang.Object
- - org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.NumericValidator
  - - org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.ExclusiveMaximumValidator

- All Implemented Interfaces:
    Serializable, Validator
  Enclosing class:
    JsonSchemaValidatorFactory

      protected static class JsonSchemaValidatorFactory.ExclusiveMaximumValidator
      extends JsonSchemaValidatorFactory.NumericValidator

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.infinispan.schematic.internal.schema.Validator

      `Validator.Factory, Validator.SchemaDocumentResolver`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonSchemaValidatorFactory.ExclusiveMaximumValidator(String propertyName, Number maximum)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isValid(double maximum, double actualValue)` Evaluate whether the actual value and expected value violate the schema rule.
    `protected String` | `ruleDescription()`

    - ### Methods inherited from class org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.NumericValidator

      `toString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonSchemaValidatorFactory.ExclusiveMaximumValidator

          public JsonSchemaValidatorFactory.ExclusiveMaximumValidator(String propertyName,
                                                              Number maximum)

  - ### Method Detail

    - #### isValid

          protected boolean isValid(double maximum,
                        double actualValue)

      Description copied from class: `JsonSchemaValidatorFactory.NumericValidator`
      Evaluate whether the actual value and expected value violate the schema rule.
      Specified by:
        `isValid` in class `JsonSchemaValidatorFactory.NumericValidator`
      Parameters:
        `maximum` - the expected value
        `actualValue` - the actual value
      Returns:
        true if the value is valid, or false if there is an error

    - #### ruleDescription

          protected String ruleDescription()

      Specified by:
        `ruleDescription` in class `JsonSchemaValidatorFactory.NumericValidator`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.